For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Get SupportGet a demo
  • Get Started
    • Welcome
    • Quickstart
  • Webhooks
    • Introduction
    • Creating a Webhook
    • Available Webhooks
  • Public API Reference (Beta)
    • Applicants/Candidates
    • Contacts/Managers
    • Clients/Departments
  • Internal API Reference
    • Applicants/Candidates
        • POSTAdd Resume with File
        • DELDelete an Applicant Resume
        • GETGet All Applicant Resumes
        • GETGet Latest Resume
        • GETGet Word Map for a resume
        • POSTParse Resume Text
        • POSTSave an Applicant Resume
        • POSTUpdate Duplicate
        • POSTUpload a Resume File
    • Clients/Departments
    • Contacts/Managers
LogoLogo
Get SupportGet a demo
Internal API ReferenceApplicants/CandidatesResumes

Add Resume with File

POST
https://app.brightmove.com/ATS/app/appl/resume/bytes/:guid
POST
/ATS/app/appl/resume/bytes/:guid
$curl -X POST https://app.brightmove.com/ATS/app/appl/resume/bytes/guid \
> -H "Content-Type: application/json" \
> -d '{}'
200Successful
1{}
Save a Resume from a File Upload.
Was this page helpful?
Previous

Delete an Applicant Resume

Next
Built with

Path parameters

guidstringRequired

Headers

X-Brightmove-Company-ApiKeystringOptional
X-Brightmove-User-ApiKeystringOptional

Request

This endpoint expects an object.
timeZoneobjectOptional
localeobjectOptional
filedatalist of stringsOptional
filenamestringOptional
guidstringOptional
compressedbooleanOptional
attachGklongOptional
createDatedatetimeOptional
createUserGklongOptional
createUserstringOptional
descriptionstringOptional
filetypestringOptional
filesizedoubleOptional
publicViewbooleanOptional
clientContractbooleanOptional
basicQualificationbooleanOptional
interviewbooleanOptional
attachedbooleanOptional
userCanManagebooleanOptional
displayCreateDatestringOptional

Response

OK